Package ru.bitel.bgbilling.plugins.dispatch.common.bean.condition

# Class DispatchBalanceCondition

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.DispatchBalanceCondition

All Implemented Interfaces:
  `java.io.Serializable`

    public class DispatchBalanceCondition
    extends DispatchCondition

Условие отправки по балансу. Устанавливается левая и правая граница баланса, при попадании в которую происходит отправка.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `FREQ` |
  `static java.lang.String` | `FREQ_COUNT` |
  `static java.lang.String` | `FROM_BALANCE` |
  `static java.lang.String` | `LIMIT` |
  `static java.lang.String` | `TO_BALANCE` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchBalanceCondition()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `deserializePart​(org.w3c.dom.Element element)` |
  `int` | `getFreqCount()` |
  `java.math.BigDecimal` | `getLeft()` | Возвращает левую границу диапазона баланса
  `java.math.BigDecimal` | `getRight()` | Возвращает правую границу диапазона баланса
  `boolean` | `isFreq()` |
  `boolean` | `isLimit()` | Флаг, сигнализирующий о необходимости учитывать лимит договора при проверке условия
  `protected void` | `serializePart​(org.w3c.dom.Element element)` |
  `void` | `setFreq​(boolean freq)` |
  `void` | `setFreqCount​(int freqCount)` |
  `void` | `setLeft​(java.math.BigDecimal left)` | Устанавливает левую границу диапазона баланса
  `void` | `setLimit​(boolean limit)` | Установка флага, сигнализирующего о необходимости учитывать лимит договора при проверке условия
  `void` | `setRight​(java.math.BigDecimal right)` | Устанавливает правую границу диапазона баланса

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition

  `deserialize, getClassName, getModuleId, serialize, setModuleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FROM_BALANCE

    public static final java.lang.String FROM_BALANCE
    See Also:
      Constant Field Values

  - ### TO_BALANCE

    public static final java.lang.String TO_BALANCE
    See Also:
      Constant Field Values

  - ### LIMIT

    public static final java.lang.String LIMIT
    See Also:
      Constant Field Values

  - ### FREQ

    public static final java.lang.String FREQ
    See Also:
      Constant Field Values

  - ### FREQ_COUNT

    public static final java.lang.String FREQ_COUNT
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DispatchBalanceCondition

    public DispatchBalanceCondition()

- ## Method Details

  - ### setLeft

    public void setLeft​(java.math.BigDecimal left)
    Устанавливает левую границу диапазона баланса
    Parameters:
      `left` -

  - ### getLeft

    public java.math.BigDecimal getLeft()
    Возвращает левую границу диапазона баланса
    Returns:

  - ### setRight

    public void setRight​(java.math.BigDecimal right)
    Устанавливает правую границу диапазона баланса
    Parameters:
      `right` -

  - ### getRight

    public java.math.BigDecimal getRight()
    Возвращает правую границу диапазона баланса
    Returns:

  - ### isLimit

    public boolean isLimit()
    Флаг, сигнализирующий о необходимости учитывать лимит договора при проверке условия
    Returns:
      true - учитывать лимит, false - игнорировать

  - ### setLimit

    public void setLimit​(boolean limit)
    Установка флага, сигнализирующего о необходимости учитывать лимит договора при проверке условия
    Parameters:
      `limit` - true - учитывать лимит, false - игнорировать

  - ### isFreq

    public boolean isFreq()

  - ### setFreq

    public void setFreq​(boolean freq)

  - ### getFreqCount

    public int getFreqCount()

  - ### setFreqCount

    public void setFreqCount​(int freqCount)

  - ### serializePart

    protected void serializePart​(org.w3c.dom.Element element)
    Specified by:
      `serializePart` in class `DispatchCondition`

  - ### deserializePart

    protected void deserializePart​(org.w3c.dom.Element element)
    Specified by:
      `deserializePart` in class `DispatchCondition`